Bug 71161 - Lots of warnings while compiling kernel for athlon
Summary: Lots of warnings while compiling kernel for athlon
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-09 14:04 UTC by Miloš Komarčević
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-25 18:22:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miloš Komarčević 2002-08-09 14:04:04 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
Using kernel-source-2.4.18-7.94:

the compiler prints lots of warnings for kernel and
modules configured for athlon:

warning: cc1: -malign-functions obsolete, use -falign-functions instead

so I changed the CFLAGS in arch/i386/Makefile, and that seems to
get rid of that one, but I still get tons of differnet ones like:

toshoboe.c:846: warning: concatenation of string literals with __FUNCTION__ is
deprecated

for many modules

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.make xconfig
2.load configs/kernel-2.4.18-athlon.config
3.enable NTFS module
4. make dep clean bzImage modules
	

Expected Results:  kernel should compile without so many warnings

Additional info:

Comment 1 Miloš Komarčević 2003-02-25 18:22:06 UTC
It seems this is no longer an issue in Phoebe.


Note You need to log in before you can comment on or make changes to this bug.